diff -urN linux-2.6.0-test1/arch/sh/boards/adx/irq.c linux-2.6.0-test1-printk-sh/arch/sh/boards/adx/irq.c
--- linux-2.6.0-test1/arch/sh/boards/adx/irq.c	2003-07-13 23:38:37.000000000 -0400
+++ linux-2.6.0-test1-printk-sh/arch/sh/boards/adx/irq.c	2003-07-23 14:33:01.000000000 -0400
@@ -17,7 +17,7 @@
 {
         int i;
 
-/*      printk("init_adx_IRQ()\n");*/
+/*      printk(KERN_INFO "init_adx_IRQ()\n");*/
         /* setup irq_mask_register */
         irq_mask_register = (unsigned short *)0xa6000008;
 
diff -urN linux-2.6.0-test1/arch/sh/boards/bigsur/pci.c linux-2.6.0-test1-printk-sh/arch/sh/boards/bigsur/pci.c
--- linux-2.6.0-test1/arch/sh/boards/bigsur/pci.c	2003-07-13 23:36:48.000000000 -0400
+++ linux-2.6.0-test1-printk-sh/arch/sh/boards/bigsur/pci.c	2003-07-23 14:41:01.000000000 -0400
@@ -41,10 +41,10 @@
 	/* Setup the host hardware */
 	if(inl(PCI_REG(SH7751_PCICONF0)) !=
 	   (u32)((SH7751_DEVICE_ID <<16) | (SH7751_VENDOR_ID))) {
-	   printk("PCI: Unkown PCI host bridge.\n");
+	   printk(KERN_ERR "PCI: Unkown PCI host bridge.\n");
 	   return 0;
 	}  
-	printk("PCI: SH7751 PCI host bridge found.\n");
+	printk(KERN_INFO "PCI: SH7751 PCI host bridge found.\n");
 	
 	/* Turn the clocks back on (not done in reset)*/
 	outl(0, PCI_REG(SH7751_PCICLKR));
@@ -115,14 +115,14 @@
 	word = inl(SH7751_BCR1);
 	/* check BCR for SDRAM in area 3 */
 	if(((word >> 3) & 1) == 0) {
-		printk("PCI: Area 3 is not configured for SDRAM. BCR1=0x%x\n", word);
+		printk(KERN_ERR "PCI: Area 3 is not configured for SDRAM. BCR1=0x%x\n", word);
 		return 0;
 	}
 	outl(word, PCI_REG(SH7751_PCIBCR1));
 	word = (u16)inw(SH7751_BCR2);
 	/* check BCR2 for 32bit SDRAM interface*/
 	if(((word >> 6) & 0x3) != 0x3) {
-		printk("PCI: Area 3 is not 32 bit SDRAM. BCR2=0x%x\n", word);
+		printk(KERN_ERR "PCI: Area 3 is not 32 bit SDRAM. BCR2=0x%x\n", word);
 		return 0;
 	}
 	outl(word, PCI_REG(SH7751_PCIBCR2));
diff -urN linux-2.6.0-test1/arch/sh/boards/dreamcast/pci.c linux-2.6.0-test1-printk-sh/arch/sh/boards/dreamcast/pci.c
--- linux-2.6.0-test1/arch/sh/boards/dreamcast/pci.c	2003-07-13 23:32:33.000000000 -0400
+++ linux-2.6.0-test1-printk-sh/arch/sh/boards/dreamcast/pci.c	2003-07-23 14:34:42.000000000 -0400
@@ -116,7 +116,7 @@
 
 	gapspci_dma_used = PAGE_ALIGN(gapspci_dma_used+size);
 	
-	printk("pci_alloc_consistent: %ld bytes at 0x%lx\n", (long)size, buf);
+	printk(KERN_NOTICE "pci_alloc_consistent: %ld bytes at 0x%lx\n", (long)size, buf);
 
 	*dma_handle = (dma_addr_t)buf;
 
@@ -141,7 +141,7 @@
 		dev = pci_dev_b(ln);
 		if (!BBA_SELECTED(bus, dev->devfn)) continue;
 
-		printk("PCI: MMIO fixup to %s\n", dev->dev.name);
+		printk(KERN_INFO "PCI: MMIO fixup to %s\n", dev->dev.name);
 		dev->resource[1].start=0x01001700;
 		dev->resource[1].end=0x010017ff;
 	}
diff -urN linux-2.6.0-test1/arch/sh/boards/ec3104/setup.c linux-2.6.0-test1-printk-sh/arch/sh/boards/ec3104/setup.c
--- linux-2.6.0-test1/arch/sh/boards/ec3104/setup.c	2003-07-13 23:37:30.000000000 -0400
+++ linux-2.6.0-test1-printk-sh/arch/sh/boards/ec3104/setup.c	2003-07-23 14:35:36.000000000 -0400
@@ -32,7 +32,7 @@
 	int i;
 	
 	if (!MACH_EC3104)
-		printk("!MACH_EC3104\n");
+		printk(KERN_INFO "!MACH_EC3104\n");
 
 	if (0)
 		return 0;
@@ -43,7 +43,7 @@
 	for (i = EC3104_IRQBASE; i < EC3104_IRQBASE + 32; i++)
 		irq_desc[i].handler = &ec3104_int;
 
-	printk("initializing EC3104 \"%.8s\" at %08x, IRQ %d, IRQ base %d\n",
+	printk(KERN_INFO "initializing EC3104 \"%.8s\" at %08x, IRQ %d, IRQ base %d\n",
 	       str, EC3104_BASE, EC3104_IRQ, EC3104_IRQBASE);
 
 
diff -urN linux-2.6.0-test1/arch/sh/boards/harp/setup.c linux-2.6.0-test1-printk-sh/arch/sh/boards/harp/setup.c
--- linux-2.6.0-test1/arch/sh/boards/harp/setup.c	2003-07-13 23:31:58.000000000 -0400
+++ linux-2.6.0-test1-printk-sh/arch/sh/boards/harp/setup.c	2003-07-23 14:35:08.000000000 -0400
@@ -31,8 +31,8 @@
 	ic8_version = ctrl_inl(EPLD_REVID2);
 	ic36_version = ctrl_inl(EPLD_REVID1);
 
-        printk("STMicroelectronics STB1 HARP initialisaton\n");
-        printk("EPLD versions: IC8: %d.%02d, IC36: %d.%02d\n",
+        printk(KERN_INFO "STMicroelectronics STB1 HARP initialisaton\n");
+        printk(KERN_INFO "EPLD versions: IC8: %d.%02d, IC36: %d.%02d\n",
                (ic8_version >> 4) & 0xf, ic8_version & 0xf,
                (ic36_version >> 4) & 0xf, ic36_version & 0xf);
 #elif defined(CONFIG_SH_STB1_OVERDRIVE)
@@ -40,8 +40,8 @@
 
 	version = ctrl_inl(EPLD_REVID);
 
-        printk("STMicroelectronics STB1 Overdrive initialisaton\n");
-        printk("EPLD version: %d.%02d\n",
+        printk(KERN_INFO "STMicroelectronics STB1 Overdrive initialisaton\n");
+        printk(KERN_INFO "EPLD version: %d.%02d\n",
 	       (version >> 4) & 0xf, version & 0xf);
 #else
 #error Undefined machine
diff -urN linux-2.6.0-test1/arch/sh/boards/mpc1211/setup.c linux-2.6.0-test1-printk-sh/arch/sh/boards/mpc1211/setup.c
--- linux-2.6.0-test1/arch/sh/boards/mpc1211/setup.c	2003-07-13 23:30:48.000000000 -0400
+++ linux-2.6.0-test1-printk-sh/arch/sh/boards/mpc1211/setup.c	2003-07-23 14:32:43.000000000 -0400
@@ -142,7 +142,7 @@
 		if(m_irq_mask & (1<<irq)){
 		  if(!mpc1211_irq_real(irq)){
 		    irq_err_count++;
-		    printk("spurious 8259A interrupt: IRQ %x\n",irq);
+		    printk(KERN_NOTICE "spurious 8259A interrupt: IRQ %x\n",irq);
 		   }
 		} else {
 			m_irq_mask |= (1<<irq);
@@ -155,7 +155,7 @@
 		if(s_irq_mask & (1<<(irq - 8))){
 		  if(!mpc1211_irq_real(irq)){
 		    irq_err_count++;
-		    printk("spurious 8259A interrupt: IRQ %x\n",irq);
+		    printk(KERN_NOTICE "spurious 8259A interrupt: IRQ %x\n",irq);
 		  }
 		} else {
 			s_irq_mask |= (1<<(irq - 8));
diff -urN linux-2.6.0-test1/arch/sh/boards/overdrive/fpga.c linux-2.6.0-test1-printk-sh/arch/sh/boards/overdrive/fpga.c
--- linux-2.6.0-test1/arch/sh/boards/overdrive/fpga.c	2003-07-13 23:38:50.000000000 -0400
+++ linux-2.6.0-test1-printk-sh/arch/sh/boards/overdrive/fpga.c	2003-07-23 14:39:49.000000000 -0400
@@ -43,7 +43,7 @@
 	static volatile unsigned char *FPGA_ProgramReg =
 	    (volatile unsigned char *) (FPGA_DCLK_ADDRESS);
 
-	printk("FPGA:  Commencing FPGA Programming\n");
+	printk(KERN_INFO "FPGA:  Commencing FPGA Programming\n");
 
 	/* The PCI reset but MUST be low when programming the FPGA !!! */
 	b = (*FPGA_ControlReg) & RESET_PCI_MASK;
@@ -59,13 +59,13 @@
 	short_delay();
 
 	while ((*FPGA_ProgramReg & FPGA_NOT_STATUS) != 0) {
-		printk("FPGA:  Waiting for NotStatus to go Low ... \n");
+		printk(KERN_INFO "FPGA:  Waiting for NotStatus to go Low ... \n");
 	}
 
 	FPGA_NotConfigHigh();
 
 	/* Wait for FPGA "ready to be programmed" signal */
-	printk("FPGA:  Waiting for NotStatus to go high (FPGA ready)... \n");
+	printk(KERN_INFO "FPGA:  Waiting for NotStatus to go high (FPGA ready)... \n");
 
 	for (timeout = 0;
 	     (((*FPGA_ProgramReg & FPGA_NOT_STATUS) == 0)
@@ -75,11 +75,11 @@
 
 	if (timeout == FPGA_TIMEOUT) {
 		printk
-		    ("FPGA:  Failed to program - Timeout waiting for notSTATUS to go high\n");
+		    (KERN_INFO "FPGA:  Failed to program - Timeout waiting for notSTATUS to go high\n");
 		return;
 	}
 
-	printk("FPGA:  Copying data to FPGA ... %d bytes\n", size);
+	printk(KERN_INFO "FPGA:  Copying data to FPGA ... %d bytes\n", size);
 
 	/* Copy array to FPGA - bit at a time */
 
@@ -91,7 +91,7 @@
 			short_delay();
 		}
 		if ((i & 0x3ff) == 0) {
-			printk(".");
+			printk(KERN_INFO ".");
 		}
 	}
 
@@ -107,7 +107,7 @@
 
 	if (timeout == FPGA_TIMEOUT) {
 		printk
-		    ("FPGA:  Failed to program - Timeout waiting for CONFDONE to go high\n");
+		    (KERN_INFO "FPGA:  Failed to program - Timeout waiting for CONFDONE to go high\n");
 		return;
 	} else {		/* Clock another 10 times - gets the device into a working state      */
 		for (i = 0; i < 10; i++) {
@@ -116,7 +116,7 @@
 		}
 	}
 
-	printk("FPGA:  Programming complete\n");
+	printk(KERN_INFO "FPGA:  Programming complete\n");
 }
 
 
diff -urN linux-2.6.0-test1/arch/sh/boards/overdrive/galileo.c linux-2.6.0-test1-printk-sh/arch/sh/boards/overdrive/galileo.c
--- linux-2.6.0-test1/arch/sh/boards/overdrive/galileo.c	2003-07-13 23:32:28.000000000 -0400
+++ linux-2.6.0-test1-printk-sh/arch/sh/boards/overdrive/galileo.c	2003-07-23 14:37:40.000000000 -0400
@@ -150,13 +150,13 @@
 	for (p = base; p < end; p++) {
 		*p = 0xffffffff;
 		if (*p != 0xffffffff) {
-			printk("AAARGH -write failed!!! at %p is %x\n", p,
+			printk(KERN_CRIT "AAARGH -write failed!!! at %p is %x\n", p,
 			       *p);
 			return 0;
 		}
 		*p = 0x0;
 		if (*p != 0x0) {
-			printk("AAARGH -write failed!!!\n");
+			printk(KERN_CRIT "AAARGH -write failed!!!\n");
 			return 0;
 		}
 	}
@@ -164,7 +164,7 @@
 	for (p = base; p < end; p++) {
 		*p = (unsigned) p;
 		if (*p != (unsigned) p) {
-			printk("Failed at 0x%p, actually is 0x%x\n", p,
+			printk(KERN_CRIT "Failed at 0x%p, actually is 0x%x\n", p,
 			       *p);
 			return 0;
 		}
@@ -180,7 +180,7 @@
 		w |= (w >> 16);
 		if (*p != w) {
 			printk
-			    ("Failed at 0x%p, should be 0x%x actually is 0x%x\n",
+			    (KERN_CRIT "Failed at 0x%p, should be 0x%x actually is 0x%x\n",
 			     p, w, *p);
 			return 0;
 		}
@@ -271,11 +271,11 @@
 
 
 #if 0
-        printk("Testing PCI DRAM - ");
+        printk(KERN_INFO "Testing PCI DRAM - ");
 	if(test_dram(PCI_DRAM_BASE,PCI_DRAM_SIZE)) {
-		printk("Passed\n");
+		printk(KERN_INFO "Passed\n");
 	}else {
-		printk("FAILED\n");
+		printk(KERN_INFO "FAILED\n");
 	}
 #endif
 	return 0;
@@ -421,7 +421,7 @@
 	case 4:
 		return OVERDRIVE_ESS_IRQ;
 	default:
-		/* printk("PCI: Unexpected IRQ mapping request for slot %d\n", slot); */
+		/* printk(KERN_ERR "PCI: Unexpected IRQ mapping request for slot %d\n", slot); */
 		return -1;
 	}
 }
@@ -446,7 +446,7 @@
 	 */
 	if ((d->class >> 8) != PCI_CLASS_STORAGE_IDE)
 		return;
-	printk("PCI: IDE base address fixup for %s\n", d->slot_name);
+	printk(KERN_INFO "PCI: IDE base address fixup for %s\n", d->slot_name);
 	for(i=0; i<4; i++) {
 		struct resource *r = &d->resource[i];
 		if ((r->start & ~0x80) == 0x374) {
@@ -486,11 +486,11 @@
 	pci_fixup_irqs(no_swizzle, map_od_irq);
 
 #ifdef TEST_DRAM
-        printk("Testing PCI DRAM - ");
+        printk(KERN_NOTICE "Testing PCI DRAM - ");
 	if(test_dram(PCI_DRAM_BASE,PCI_DRAM_SIZE)) {
-		printk("Passed\n");
+		printk(KERN_NOTICE "Passed\n");
 	}else {
-		printk("FAILED\n");
+		printk(KERN_NOTICE "FAILED\n");
 	}
 #endif
 
@@ -527,7 +527,7 @@
 			cmd |= PCI_COMMAND_MEMORY;
 	}
 	if (cmd != old_cmd) {
-		printk("PCI: enabling device %s (%04x -> %04x)\n",
+		printk(KERN_NOTICE "PCI: enabling device %s (%04x -> %04x)\n",
 		       dev->slot_name, old_cmd, cmd);
 		pci_write_config_word(dev, PCI_COMMAND, cmd);
 	}
@@ -554,7 +554,7 @@
 	u32 reg;
 	
 
-	printk("PCI: Assigning %3s %08lx to %s\n",
+	printk(KERN_INFO "PCI: Assigning %3s %08lx to %s\n",
 	       res->flags & IORESOURCE_IO ? "IO" : "MEM",
 	       res->start, dev->name);
 
@@ -569,7 +569,7 @@
 
 void __init pcibios_update_irq(struct pci_dev *dev, int irq)
 {
-	printk("PCI: Assigning IRQ %02d to %s\n", irq, dev->name);
+	printk(KERN_INFO "PCI: Assigning IRQ %02d to %s\n", irq, dev->name);
 	pci_write_config_byte(dev, PCI_INTERRUPT_LINE, irq);
 }
 
@@ -589,6 +589,6 @@
 		lat = pcibios_max_latency;
 	else
 		return;
-	printk("PCI: Setting latency timer of device %s to %d\n", dev->slot_name, lat);
+	printk(KERN_NOTICE "PCI: Setting latency timer of device %s to %d\n", dev->slot_name, lat);
 	pci_write_config_byte(dev, PCI_LATENCY_TIMER, lat);
 }
diff -urN linux-2.6.0-test1/arch/sh/boards/overdrive/pcidma.c linux-2.6.0-test1-printk-sh/arch/sh/boards/overdrive/pcidma.c
--- linux-2.6.0-test1/arch/sh/boards/overdrive/pcidma.c	2003-07-13 23:39:27.000000000 -0400
+++ linux-2.6.0-test1-printk-sh/arch/sh/boards/overdrive/pcidma.c	2003-07-23 14:40:11.000000000 -0400
@@ -23,7 +23,7 @@
 	void *ret;
 	int gfp = GFP_ATOMIC;
 
-        printk("BUG: pci_alloc_consistent() called - not yet supported\n");
+        printk(KERN_WARNING "BUG: pci_alloc_consistent() called - not yet supported\n");
 	/* We ALWAYS need DMA memory on the overdrive hardware,
 	 * due to it's extreme wierdness
 	 * Need to flush the cache here as well, since the memory
diff -urN linux-2.6.0-test1/arch/sh/boards/overdrive/time.c linux-2.6.0-test1-printk-sh/arch/sh/boards/overdrive/time.c
--- linux-2.6.0-test1/arch/sh/boards/overdrive/time.c	2003-07-13 23:36:46.000000000 -0400
+++ linux-2.6.0-test1-printk-sh/arch/sh/boards/overdrive/time.c	2003-07-23 14:38:47.000000000 -0400
@@ -73,7 +73,7 @@
 	 * on.
 	 */
 	pvr = ctrl_inl(CCN_PVR);
-	printk("PVR %08x\n", pvr);
+	printk(KERN_NOTICE "PVR %08x\n", pvr);
 
 	if (((pvr >> CCN_PVR_CHIP_SHIFT) & CCN_PVR_CHIP_MASK) == CCN_PVR_CHIP_ST40STB1) {
 		/* 
@@ -92,13 +92,13 @@
 		}
 		if (a == ARRAY_SIZE(st40_frqcr_table)) {
 			d = st40_frqcr_table;
-			printk("ERROR: Unrecognised FRQCR value, using default multipliers\n");
+			printk(KERN_ERR "ERROR: Unrecognised FRQCR value, using default multipliers\n");
 		}
 
 		memclkcr = ctrl_inl(CLOCKGEN_MEMCLKCR);
 		e = &st40_memclk_table[memclkcr & MEMCLKCR_RATIO_MASK];
 
-		printk("Clock multipliers: CPU: %d/%d Bus: %d/%d Mem: %d/%d Periph: %d/%d\n",
+		printk(KERN_NOTICE "Clock multipliers: CPU: %d/%d Bus: %d/%d Mem: %d/%d Periph: %d/%d\n",
 		       d->factor[0].multiplier, d->factor[0].divisor,
 		       d->factor[1].multiplier, d->factor[1].divisor,
 		       e->multiplier,           e->divisor,
diff -urN linux-2.6.0-test1/arch/sh/boards/se/770x/io.c linux-2.6.0-test1-printk-sh/arch/sh/boards/se/770x/io.c
--- linux-2.6.0-test1/arch/sh/boards/se/770x/io.c	2003-07-13 23:28:55.000000000 -0400
+++ linux-2.6.0-test1-printk-sh/arch/sh/boards/se/770x/io.c	2003-07-23 14:33:31.000000000 -0400
@@ -53,7 +53,7 @@
 }
 
 #define maybebadio(name,port) \
-  printk("bad PC-like io %s for port 0x%lx at 0x%08x\n", \
+  printk(KERN_WARNING "bad PC-like io %s for port 0x%lx at 0x%08x\n", \
 	 #name, (port), (__u32) __builtin_return_address(0))
 
 unsigned char se_inb(unsigned long port)
@@ -235,7 +235,7 @@
 	idx = start >> 12;
 	sh_isa_memmap[idx] = 0xb8000000 + (offset &~ 0xfff);
 #if 0
-	printk("sh_isa_mmap: start %x len %x offset %x (idx %x paddr %x)\n",
+	printk(KERN_DEBUG "sh_isa_mmap: start %x len %x offset %x (idx %x paddr %x)\n",
 	       start, length, offset, idx, sh_isa_memmap[idx]);
 #endif
 	return 0;
diff -urN linux-2.6.0-test1/arch/sh/boards/se/7751/io.c linux-2.6.0-test1-printk-sh/arch/sh/boards/se/7751/io.c
--- linux-2.6.0-test1/arch/sh/boards/se/7751/io.c	2003-07-13 23:30:00.000000000 -0400
+++ linux-2.6.0-test1-printk-sh/arch/sh/boards/se/7751/io.c	2003-07-23 14:34:16.000000000 -0400
@@ -53,7 +53,7 @@
 #define PCI_IOMAP(adr)	(PCI_IO_AREA + (adr & ~SH7751_PCIIOBR_MASK))
 
 #define maybebadio(name,port) \
-  printk("bad PC-like io %s for port 0x%lx at 0x%08x\n", \
+  printk(KERN_WARNING "bad PC-like io %s for port 0x%lx at 0x%08x\n", \
 	 #name, (port), (__u32) __builtin_return_address(0))
 
 static inline void delay(void)
@@ -287,7 +287,7 @@
 
 	idx = start >> 12;
 	sh_isa_memmap[idx] = 0xb8000000 + (offset &~ 0xfff);
-	printk("sh_isa_mmap: start %x len %x offset %x (idx %x paddr %x)\n",
+	printk(KERN_DEBUG "sh_isa_mmap: start %x len %x offset %x (idx %x paddr %x)\n",
 	       start, length, offset, idx, sh_isa_memmap[idx]);
 	return 0;
 }
diff -urN linux-2.6.0-test1/arch/sh/boards/se/7751/pci.c linux-2.6.0-test1-printk-sh/arch/sh/boards/se/7751/pci.c
--- linux-2.6.0-test1/arch/sh/boards/se/7751/pci.c	2003-07-13 23:28:55.000000000 -0400
+++ linux-2.6.0-test1-printk-sh/arch/sh/boards/se/7751/pci.c	2003-07-23 14:33:57.000000000 -0400
@@ -107,7 +107,7 @@
    PCIC_WRITE(SH7751_PCIIOBR, (PCIBIOS_MIN_IO & SH7751_PCIIOBR_MASK));
 
    /* All done, may as well say so... */
-   printk("SH7751 PCI: Finished initialization of the PCI controller\n");
+   printk(KERN_INFO "SH7751 PCI: Finished initialization of the PCI controller\n");
 
    return 1;
 }
@@ -121,7 +121,7 @@
         case 3: return -1;
         case 4: return -1;
         default:
-                printk("PCI: Bad IRQ mapping request for slot %d\n", slot);
+                printk(KERN_ERR "PCI: Bad IRQ mapping request for slot %d\n", slot);
                 return -1;
         }
 }
diff -urN linux-2.6.0-test1/arch/sh/cchips/hd6446x/hd64465/gpio.c linux-2.6.0-test1-printk-sh/arch/sh/cchips/hd6446x/hd64465/gpio.c
--- linux-2.6.0-test1/arch/sh/cchips/hd6446x/hd64465/gpio.c	2003-07-13 23:36:41.000000000 -0400
+++ linux-2.6.0-test1-printk-sh/arch/sh/cchips/hd6446x/hd64465/gpio.c	2003-07-23 14:48:40.000000000 -0400
@@ -173,7 +173,7 @@
 	    		SA_INTERRUPT, MODNAME, 0))
 		goto out_irqfailed;
 
-    	printk("HD64465 GPIO layer on irq %d\n", HD64465_IRQ_GPIO);
+    	printk(KERN_INFO "HD64465 GPIO layer on irq %d\n", HD64465_IRQ_GPIO);
 
 	return 0;
 
diff -urN linux-2.6.0-test1/arch/sh/kernel/cf-enabler.c linux-2.6.0-test1-printk-sh/arch/sh/kernel/cf-enabler.c
--- linux-2.6.0-test1/arch/sh/kernel/cf-enabler.c	2003-07-13 23:36:32.000000000 -0400
+++ linux-2.6.0-test1-printk-sh/arch/sh/kernel/cf-enabler.c	2003-07-23 14:46:02.000000000 -0400
@@ -59,10 +59,10 @@
 	prot = PAGE_KERNEL_PCC(slot_no, _PAGE_PCC_IO16);
 	cf_io_base = p3_ioremap(paddrbase, psize, prot.pgprot);
 	if (!cf_io_base) {
-		printk("allocate_cf_area : can't open CF I/O window!\n");
+		printk(KERN_ERR "allocate_cf_area : can't open CF I/O window!\n");
 		return -ENOMEM;
 	}
-/*	printk("p3_ioremap(paddr=0x%08lx, psize=0x%08lx, prot=0x%08lx)=0x%08lx\n",
+/*	printk(KERN_INFO "p3_ioremap(paddr=0x%08lx, psize=0x%08lx, prot=0x%08lx)=0x%08lx\n",
 	    	paddrbase, psize, prot.pgprot, cf_io_base);*/
 
 	/* XXX : do we need attribute and common-memory area also? */
diff -urN linux-2.6.0-test1/arch/sh/kernel/cpu/sh4/pci-st40.c linux-2.6.0-test1-printk-sh/arch/sh/kernel/cpu/sh4/pci-st40.c
--- linux-2.6.0-test1/arch/sh/kernel/cpu/sh4/pci-st40.c	2003-07-13 23:34:46.000000000 -0400
+++ linux-2.6.0-test1-printk-sh/arch/sh/kernel/cpu/sh4/pci-st40.c	2003-07-23 14:43:53.000000000 -0400
@@ -80,7 +80,7 @@
 	 */
 	writel(PLL_33MHZ | PLLPCICR_POWERON, PLLPCICR);
 
-	printk("ST40PCI: Waiting for PCI PLL to lock\n");
+	printk(KERN_INFO "ST40PCI: Waiting for PCI PLL to lock\n");
 	while ((readl(PLLPCICR) & PLLPCICR_LOCK) == 0);
 	writel(readl(PLLPCICR) | PLLPCICR_OUT_EN, PLLPCICR);
 }
@@ -96,19 +96,19 @@
 	pci_air = ST40PCI_READ(AIR);
 
 	if (pci_int) {
-		printk("PCI INTERRUPT!\n");
-		printk("PCI INT -> 0x%x\n", pci_int & 0xffff);
-		printk("PCI AIR -> 0x%x\n", pci_air);
-		printk("PCI CIR -> 0x%x\n", pci_cir);
+		printk(KERN_NOTICE "PCI INTERRUPT!\n");
+		printk(KERN_NOTICE "PCI INT -> 0x%x\n", pci_int & 0xffff);
+		printk(KERN_NOTICE "PCI AIR -> 0x%x\n", pci_air);
+		printk(KERN_NOTICE "PCI CIR -> 0x%x\n", pci_cir);
 		ST40PCI_WRITE(INT, ~0);
 	}
 
 	pci_aint = ST40PCI_READ(AINT);
 	if (pci_aint) {
-		printk("PCI ARB INTERRUPT!\n");
-		printk("PCI AINT -> 0x%x\n", pci_aint);
-		printk("PCI AIR -> 0x%x\n", pci_air);
-		printk("PCI CIR -> 0x%x\n", pci_cir);
+		printk(KERN_NOTICE "PCI ARB INTERRUPT!\n");
+		printk(KERN_NOTICE "PCI AINT -> 0x%x\n", pci_aint);
+		printk(KERN_NOTICE "PCI AIR -> 0x%x\n", pci_air);
+		printk(KERN_NOTICE "PCI CIR -> 0x%x\n", pci_cir);
 		ST40PCI_WRITE(AINT, ~0);
 	}
 
@@ -151,7 +151,7 @@
 	 */
 	if ((d->class >> 8) != PCI_CLASS_STORAGE_IDE)
 		return;
-	printk("PCI: IDE base address fixup for %s\n", d->slot_name);
+	printk(KERN_INFO "PCI: IDE base address fixup for %s\n", d->slot_name);
 	for(i=0; i<4; i++) {
 		struct resource *r = &d->resource[i];
 		if ((r->start & ~0x80) == 0x374) {
@@ -228,7 +228,7 @@
 	/* Now we set up the mbars so the PCI bus can see the memory of the machine */
 
 	if (memSize < (64 * 1024)) {
-		printk("Ridiculous memory size of 0x%x?\n",memSize);
+		printk(KERN_ERR "Ridiculous memory size of 0x%x?\n",memSize);
 		return 0;
 	}
 
diff -urN linux-2.6.0-test1/arch/sh/kernel/irq.c linux-2.6.0-test1-printk-sh/arch/sh/kernel/irq.c
--- linux-2.6.0-test1/arch/sh/kernel/irq.c	2003-07-13 23:32:42.000000000 -0400
+++ linux-2.6.0-test1-printk-sh/arch/sh/kernel/irq.c	2003-07-23 14:44:55.000000000 -0400
@@ -68,7 +68,7 @@
  * each architecture has to answer this themselves, it doesn't deserve
  * a generic callback i think.
  */
-	printk("unexpected IRQ trap at vector %02x\n", irq);
+	printk(KERN_WARNING "unexpected IRQ trap at vector %02x\n", irq);
 }
 
 /* startup is the same as "enable", shutdown is same as "disable" */
@@ -155,10 +155,10 @@
 			count--;
 
 			if (retval) {
-				printk("irq event %d: bogus retval mask %x\n",
+				printk(KERN_WARNING "irq event %d: bogus retval mask %x\n",
 					irq, retval);
 			} else {
-				printk("irq %d: nobody cared\n", irq);
+				printk(KERN_WARNING "irq %d: nobody cared\n", irq);
 			}
 		}
 	}
@@ -216,7 +216,7 @@
 		desc->depth--;
 		break;
 	case 0:
-		printk("enable_irq() unbalanced from %p\n",
+		printk(KERN_WARNING "enable_irq() unbalanced from %p\n",
 		       __builtin_return_address(0));
 	}
 	spin_unlock_irqrestore(&desc->lock, flags);
@@ -385,7 +385,7 @@
 			kfree(action);
 			return;
 		}
-		printk("Trying to free free IRQ%d\n",irq);
+		printk(KERN_NOTICE "Trying to free free IRQ%d\n",irq);
 		spin_unlock_irqrestore(&desc->lock,flags);
 		return;
 	}
diff -urN linux-2.6.0-test1/arch/sh/kernel/process.c linux-2.6.0-test1-printk-sh/arch/sh/kernel/process.c
--- linux-2.6.0-test1/arch/sh/kernel/process.c	2003-07-13 23:36:37.000000000 -0400
+++ linux-2.6.0-test1-printk-sh/arch/sh/kernel/process.c	2003-07-23 14:46:21.000000000 -0400
@@ -83,22 +83,22 @@
 
 void show_regs(struct pt_regs * regs)
 {
-	printk("\n");
-	printk("PC  : %08lx SP  : %08lx SR  : %08lx TEA : %08x    %s\n",
+	printk(KERN_EMERG "\n");
+	printk(KERN_EMERG "PC  : %08lx SP  : %08lx SR  : %08lx TEA : %08x    %s\n",
 	       regs->pc, regs->regs[15], regs->sr, ctrl_inl(MMU_TEA), print_tainted());
-	printk("R0  : %08lx R1  : %08lx R2  : %08lx R3  : %08lx\n",
+	printk(KERN_EMERG "R0  : %08lx R1  : %08lx R2  : %08lx R3  : %08lx\n",
 	       regs->regs[0],regs->regs[1],
 	       regs->regs[2],regs->regs[3]);
-	printk("R4  : %08lx R5  : %08lx R6  : %08lx R7  : %08lx\n",
+	printk(KERN_EMERG "R4  : %08lx R5  : %08lx R6  : %08lx R7  : %08lx\n",
 	       regs->regs[4],regs->regs[5],
 	       regs->regs[6],regs->regs[7]);
-	printk("R8  : %08lx R9  : %08lx R10 : %08lx R11 : %08lx\n",
+	printk(KERN_EMERG "R8  : %08lx R9  : %08lx R10 : %08lx R11 : %08lx\n",
 	       regs->regs[8],regs->regs[9],
 	       regs->regs[10],regs->regs[11]);
-	printk("R12 : %08lx R13 : %08lx R14 : %08lx\n",
+	printk(KERN_EMERG "R12 : %08lx R13 : %08lx R14 : %08lx\n",
 	       regs->regs[12],regs->regs[13],
 	       regs->regs[14]);
-	printk("MACH: %08lx MACL: %08lx GBR : %08lx PR  : %08lx\n",
+	printk(KERN_EMERG "MACH: %08lx MACL: %08lx GBR : %08lx PR  : %08lx\n",
 	       regs->mach, regs->macl, regs->gbr, regs->pr);
 
 	/*
diff -urN linux-2.6.0-test1/arch/sh/kernel/setup.c linux-2.6.0-test1-printk-sh/arch/sh/kernel/setup.c
--- linux-2.6.0-test1/arch/sh/kernel/setup.c	2003-07-13 23:35:18.000000000 -0400
+++ linux-2.6.0-test1-printk-sh/arch/sh/kernel/setup.c	2003-07-23 14:45:39.000000000 -0400
@@ -383,7 +383,7 @@
 	if (mv == NULL) {
 		mv = &mv_unknown;
 		if (*mv_name != '\0') {
-			printk("Warning: Unsupported machine %s, using unknown\n",
+			printk(KERN_WARNING "Warning: Unsupported machine %s, using unknown\n",
 			       mv_name);
 		}
 	}
@@ -515,7 +515,7 @@
 				INITRD_START ? INITRD_START + PAGE_OFFSET + __MEMORY_START : 0;
 			initrd_end = initrd_start + INITRD_SIZE;
 		} else {
-			printk("initrd extends beyond end of memory "
+			printk(KERN_ERR "initrd extends beyond end of memory "
 			    "(0x%08lx > 0x%08lx)\ndisabling initrd\n",
 				    INITRD_START + INITRD_SIZE,
 				    max_low_pfn << PAGE_SHIFT);
@@ -543,7 +543,7 @@
 
 	/* Disable the FPU */
 	if (fpu_disabled) {
-		printk("FPU Disabled\n");
+		printk(KERN_WARNING "FPU Disabled\n");
 		cpu_data->flags &= ~CPU_HAS_FPU;
 		release_fpu();
 	}
diff -urN linux-2.6.0-test1/arch/sh/kernel/signal.c linux-2.6.0-test1-printk-sh/arch/sh/kernel/signal.c
--- linux-2.6.0-test1/arch/sh/kernel/signal.c	2003-07-13 23:39:37.000000000 -0400
+++ linux-2.6.0-test1-printk-sh/arch/sh/kernel/signal.c	2003-07-23 14:46:41.000000000 -0400
@@ -397,7 +397,7 @@
 	set_fs(USER_DS);
 
 #if DEBUG_SIG
-	printk("SIG deliver (%s:%d): sp=%p pc=%08lx pr=%08lx\n",
+	printk(KERN_DEBUG "SIG deliver (%s:%d): sp=%p pc=%08lx pr=%08lx\n",
 		current->comm, current->pid, frame, regs->pc, regs->pr);
 #endif
 
@@ -471,7 +471,7 @@
 	set_fs(USER_DS);
 
 #if DEBUG_SIG
-	printk("SIG deliver (%s:%d): sp=%p pc=%08lx pr=%08lx\n",
+	printk(KERN_DEBUG "SIG deliver (%s:%d): sp=%p pc=%08lx pr=%08lx\n",
 		current->comm, current->pid, frame, regs->pc, regs->pr);
 #endif
 
diff -urN linux-2.6.0-test1/arch/sh/kernel/time.c linux-2.6.0-test1-printk-sh/arch/sh/kernel/time.c
--- linux-2.6.0-test1/arch/sh/kernel/time.c	2003-07-13 23:28:54.000000000 -0400
+++ linux-2.6.0-test1-printk-sh/arch/sh/kernel/time.c	2003-07-23 14:41:59.000000000 -0400
@@ -135,7 +135,7 @@
 				 */
 				count -= LATCH;
 			} else {
-				printk("do_slow_gettimeoffset(): hardware timer problem?\n");
+				printk(KERN_WARNING "do_slow_gettimeoffset(): hardware timer problem?\n");
 			}
 		}
 	} else
@@ -436,23 +436,23 @@
 	if (!current_cpu_data.cpu_clock)
 		current_cpu_data.cpu_clock = current_cpu_data.master_clock / ifc;
 
-	printk("CPU clock: %d.%02dMHz\n",
+	printk(KERN_INFO "CPU clock: %d.%02dMHz\n",
 	       (current_cpu_data.cpu_clock / 1000000),
 	       (current_cpu_data.cpu_clock % 1000000)/10000);
-	printk("Bus clock: %d.%02dMHz\n",
+	printk(KERN_INFO "Bus clock: %d.%02dMHz\n",
 	       (current_cpu_data.bus_clock / 1000000),
 	       (current_cpu_data.bus_clock % 1000000)/10000);
 #ifdef CONFIG_CPU_SUBTYPE_ST40STB1
-	printk("Memory clock: %d.%02dMHz\n",
+	printk(KERN_INFO "Memory clock: %d.%02dMHz\n",
 	       (current_cpu_data.memory_clock / 1000000),
 	       (current_cpu_data.memory_clock % 1000000)/10000);
 #endif
-	printk("Module clock: %d.%02dMHz\n",
+	printk(KERN_INFO "Module clock: %d.%02dMHz\n",
 	       (current_cpu_data.module_clock / 1000000),
 	       (current_cpu_data.module_clock % 1000000)/10000);
 	interval = (current_cpu_data.module_clock/4 + HZ/2) / HZ;
 
-	printk("Interval = %ld\n", interval);
+	printk(KERN_INFO "Interval = %ld\n", interval);
 
 	/* Start TMU0 */
 	ctrl_outb(0, TMU_TSTR);
diff -urN linux-2.6.0-test1/arch/sh/kernel/traps.c linux-2.6.0-test1-printk-sh/arch/sh/kernel/traps.c
--- linux-2.6.0-test1/arch/sh/kernel/traps.c	2003-07-13 23:29:29.000000000 -0400
+++ linux-2.6.0-test1-printk-sh/arch/sh/kernel/traps.c	2003-07-23 14:42:45.000000000 -0400
@@ -78,7 +78,7 @@
 
 	console_verbose();
 	spin_lock_irq(&die_lock);
-	printk("%s: %04lx [#%d]\n", str, err & 0xffff, ++die_counter);
+	printk(KERN_EMERG "%s: %04lx [#%d]\n", str, err & 0xffff, ++die_counter);
 	CHK_REMOTE_DEBUG(regs);
 	show_regs(regs);
 	spin_unlock_irq(&die_lock);
@@ -344,7 +344,7 @@
 	if (user_mode(regs) && handle_unaligned_notify_count>0) {
 		handle_unaligned_notify_count--;
 
-		printk("Fixing up unaligned userspace access in \"%s\" pid=%d pc=0x%p ins=0x%04hx\n",
+		printk(KERN_NOTICE "Fixing up unaligned userspace access in \"%s\" pid=%d pc=0x%p ins=0x%04hx\n",
 		       current->comm,current->pid,(u16*)regs->pc,instruction);
 	}
 
@@ -556,7 +556,7 @@
 	    register unsigned long vbr;
 	    asm volatile("stc vbr, %0" : "=r" (vbr));
 	    gdb_vbr_vector = (void *)(vbr + 0x100);
-	    printk("Setting GDB trap vector to 0x%08lx\n",
+	    printk(KERN_INFO "Setting GDB trap vector to 0x%08lx\n",
 	    	(unsigned long)gdb_vbr_vector);
 	}
 }
@@ -611,7 +611,7 @@
 
 	stack = sp;
 
-	printk("\nCall trace: ");
+	printk(KERN_EMERG "\nCall trace: ");
 
 	while (((long)stack & (THREAD_SIZE - 1))) {
 		addr = *stack++;
@@ -623,13 +623,13 @@
 			 * NOTE: '[<8c00abcd>] ' consumes 13 columns .
 			 */
 			if (i && ((i % 6) == 0))
-				printk("\n       ");
-			printk("[<%08lx>] ", addr);
+				printk(KERN_EMERG "\n       ");
+			printk(KERN_EMERG "[<%08lx>] ", addr);
 			i++;
 		}
 	}
 
-	printk("\n");
+	printk(KERN_EMERG "\n");
 }
 
 void show_task(unsigned long *sp)
diff -urN linux-2.6.0-test1/arch/sh/mm/fault-nommu.c linux-2.6.0-test1-printk-sh/arch/sh/mm/fault-nommu.c
--- linux-2.6.0-test1/arch/sh/mm/fault-nommu.c	2003-07-13 23:36:38.000000000 -0400
+++ linux-2.6.0-test1-printk-sh/arch/sh/mm/fault-nommu.c	2003-07-23 14:47:48.000000000 -0400
@@ -60,7 +60,7 @@
 		printk(KERN_ALERT "Unable to handle kernel paging request");
 	}
 
-	printk(" at virtual address %08lx\n", address);
+	printk(KERN_ALERT " at virtual address %08lx\n", address);
 	printk(KERN_ALERT "pc = %08lx\n", regs->pc);
 
 	die("Oops", regs, writeaccess);
diff -urN linux-2.6.0-test1/arch/sh/mm/fault.c linux-2.6.0-test1-printk-sh/arch/sh/mm/fault.c
--- linux-2.6.0-test1/arch/sh/mm/fault.c	2003-07-13 23:32:32.000000000 -0400
+++ linux-2.6.0-test1-printk-sh/arch/sh/mm/fault.c	2003-07-23 14:47:16.000000000 -0400
@@ -141,7 +141,7 @@
 		printk(KERN_ALERT "Unable to handle kernel NULL pointer dereference");
 	else
 		printk(KERN_ALERT "Unable to handle kernel paging request");
-	printk(" at virtual address %08lx\n", address);
+	printk(KERN_ALERT " at virtual address %08lx\n", address);
 	printk(KERN_ALERT "pc = %08lx\n", regs->pc);
 	asm volatile("mov.l	%1, %0"
 		     : "=r" (page)
@@ -170,7 +170,7 @@
 		down_read(&mm->mmap_sem);
 		goto survive;
 	}
-	printk("VM: killing process %s\n", tsk->comm);
+	printk(KERN_WARNING "VM: killing process %s\n", tsk->comm);
 	if (user_mode(regs))
 		do_exit(SIGKILL);
 	goto no_context;
diff -urN linux-2.6.0-test1/arch/sh/mm/init.c linux-2.6.0-test1-printk-sh/arch/sh/mm/init.c
--- linux-2.6.0-test1/arch/sh/mm/init.c	2003-07-13 23:37:16.000000000 -0400
+++ linux-2.6.0-test1-printk-sh/arch/sh/mm/init.c	2003-07-23 14:48:13.000000000 -0400
@@ -63,9 +63,9 @@
 	int i, total = 0, reserved = 0;
 	int shared = 0, cached = 0;
 
-	printk("Mem-info:\n");
+	printk(KERN_INFO "Mem-info:\n");
 	show_free_areas();
-	printk("Free swap:       %6dkB\n",nr_swap_pages<<(PAGE_SHIFT-10));
+	printk(KERN_INFO "Free swap:       %6dkB\n",nr_swap_pages<<(PAGE_SHIFT-10));
 	i = max_mapnr;
 	while (i-- > 0) {
 		total++;
@@ -76,10 +76,10 @@
 		else if (page_count(mem_map+i))
 			shared += page_count(mem_map+i) - 1;
 	}
-	printk("%d pages of RAM\n",total);
-	printk("%d reserved pages\n",reserved);
-	printk("%d pages shared\n",shared);
-	printk("%d pages swap cached\n",cached);
+	printk(KERN_INFO "%d pages of RAM\n",total);
+	printk(KERN_INFO "%d reserved pages\n",reserved);
+	printk(KERN_INFO "%d pages shared\n",shared);
+	printk(KERN_INFO "%d pages swap cached\n",cached);
 }
 
 /* References to section boundaries */
@@ -202,7 +202,7 @@
 	datasize =  (unsigned long) &_edata - (unsigned long) &_etext;
 	initsize =  (unsigned long) &__init_end - (unsigned long) &__init_begin;
 
-	printk("Memory: %luk/%luk available (%dk kernel code, %dk reserved, %dk data, %dk init)\n",
+	printk(KERN_INFO "Memory: %luk/%luk available (%dk kernel code, %dk reserved, %dk data, %dk init)\n",
 		(unsigned long) nr_free_pages() << (PAGE_SHIFT-10),
 		max_mapnr << (PAGE_SHIFT-10),
 		codesize >> 10,
@@ -224,7 +224,7 @@
 		free_page(addr);
 		totalram_pages++;
 	}
-	printk ("Freeing unused kernel memory: %dk freed\n", (&__init_end - &__init_begin) >> 10);
+	printk (KERN_INFO "Freeing unused kernel memory: %dk freed\n", (&__init_end - &__init_begin) >> 10);
 }
 
 #ifdef CONFIG_BLK_DEV_INITRD
@@ -237,7 +237,7 @@
 		free_page(p);
 		totalram_pages++;
 	}
-	printk ("Freeing initrd memory: %ldk freed\n", (end - start) >> 10);
+	printk (KERN_INFO "Freeing initrd memory: %ldk freed\n", (end - start) >> 10);
 }
 #endif
 
diff -urN linux-2.6.0-test1/arch/sh/mm/ioremap.c linux-2.6.0-test1-printk-sh/arch/sh/mm/ioremap.c
--- linux-2.6.0-test1/arch/sh/mm/ioremap.c	2003-07-13 23:35:12.000000000 -0400
+++ linux-2.6.0-test1-printk-sh/arch/sh/mm/ioremap.c	2003-07-23 14:47:30.000000000 -0400
@@ -35,7 +35,7 @@
 	pfn = phys_addr >> PAGE_SHIFT;
 	do {
 		if (!pte_none(*pte)) {
-			printk("remap_area_pte: page already exists\n");
+			printk(KERN_ERR "remap_area_pte: page already exists\n");
 			BUG();
 		}
 		set_pte(pte, pfn_pte(pfn, pgprot));
